Method: bidders.accounts.filterSets.filteredBids.list
Stay organized with collections
Save and categorize content based on your preferences.
outlined_flag
This page provides information about listing filtered bids for a specific filter set.
The HTTP request uses a GET method with a URL that includes the filter set name.
Path parameters are used to specify the filter set name, which can be at the bidder or account level.
Query parameters allow for pagination of the results using pageSize and pageToken.
The response body will contain a ListFilteredBidsResponse object if the request is successful.
Authorization using the https://www.googleapis.com/auth/adexchange.buyer OAuth scope is required to access this information.
List all reasons for which bids were filtered, with the number of bids filtered for each reason.
HTTP request
GET https://adexchangebuyer.googleapis.com/v2beta1/{filterSetName=bidders/*/accounts/*/filterSets/*}/filteredBids
The URL uses gRPC Transcoding syntax.
Path parameters
Parameters
filterSetName
string
Name of the filter set that should be applied to the requested metrics. For example:
For a bidder-level filter set for bidder 123: bidders/123/filterSets/abc
For an account-level filter set for the buyer account representing bidder 123: bidders/123/accounts/123/filterSets/abc
For an account-level filter set for the child seat buyer account 456 whose bidder is 123: bidders/123/accounts/456/filterSets/abc
Query parameters
Parameters
pageSize
integer
Requested page size. The server may return fewer results than requested. If unspecified, the server will pick an appropriate default.
pageToken
string
A token identifying a page of results the server should return. Typically, this is the value of ListFilteredBidsResponse.nextPageToken returned from the previous call to the filteredBids.list method.
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of ListFilteredBidsResponse .
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/adexchange.buyer
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License , and code samples are licensed under the Apache 2.0 License . For details, see the Google Developers Site Policies . Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2024-09-18 UTC.
[null,null,["Last updated 2024-09-18 UTC."],[],["This document outlines the `GET` request for retrieving filtered bid data from the Ad Exchange Buyer API. The request utilizes gRPC Transcoding and requires authorization via the `https://www.googleapis.com/auth/adexchange.buyer` OAuth scope. The URL includes a `filterSetName` path parameter that specifies the filter set to apply and can target bidder or account levels. Optional query parameters are `pageSize`, to manage results size, and `pageToken` to iterate through multiple pages of data. The request body must be empty, and a successful response will be a `ListFilteredBidsResponse` instance.\n"]]